package fanch.multijeu.common.exceptions;

import android.os.Build;
import android.support.annotation.RequiresApi;

public class ForbiddenSuperCall extends RuntimeException {
    public ForbiddenSuperCall() {
        super("Error: this superclass call is forbidden");
    }

    public ForbiddenSuperCall(String message) {
        super(message);
    }

    public ForbiddenSuperCall(String message, Throwable cause) {
        super(message, cause);
    }

    public ForbiddenSuperCall(Throwable cause) {
        super(cause);
    }

    @RequiresApi(api = Build.VERSION_CODES.N)
    public ForbiddenSuperCall(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
